<!DOCTYPE html>
<html>
  <head>
    <title>Scraping Videos Flv to Mp4</title>
    <meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta http-equiv="X-UA-Compatible" content="ie=edge" />


<link rel="stylesheet" href="/css/bootstrap.min.css"/>
<link rel="stylesheet" href="/css/layouts/main.css"/>
<link rel="stylesheet" href="/css/navigators/navbar.css"/>
<link rel="stylesheet" href="/css/plyr.css"/>
<link rel="stylesheet" href="/css/flag-icon.min.css"/>


<link rel="stylesheet" href="/google-fonts/Mulish/mulish.css"/>


<link rel="stylesheet" href="/fontawesome/css/all.min.css"/>



<link rel="stylesheet" href="/css/colortheme/colortheme.css"/>





  

  
  
  
    
  
  

  <link rel="icon" type="image/png" href="/images/site/favicon_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_42x0_resize_box_3.png" />

<meta property="og:title" content="Scraping Videos Flv to Mp4" />
<meta property="og:description" content="Scraping: Pegando lista de vídeos FLV e convertendo para MP4 Introdução Hoje estou na aldeia Soito da Ruiva, em Portugal. Viemos conhecer a aldeia, alugamos uma casa de uma senhora muito simpática e cuidadosa e vamos passar uns dias aqui.
Conversando com esta senhora, ela contou muito da história da aldeia, da família dela e da própria vida. Em meio à conversa, ela nos mostrou o site da aldeia
Site da aldeia: https://www." />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://192.168.15.28/posts/scraping-videos-flv-to-mp4/scraping-videos-flv-to-mp4/" /><meta property="article:section" content="posts" />
<meta property="article:published_time" content="2022-12-13T00:50:41+00:00" />
<meta property="article:modified_time" content="2022-12-13T00:50:41+00:00" />



    
    
<meta name="description" content="Scraping Videos Flv to Mp4" />
<link
  rel="stylesheet"
  href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.18.1/styles/atom-one-dark.min.css"
/>
<link rel="stylesheet" href="/css/layouts/single.css"/>
<link rel="stylesheet" href="/css/navigators/sidebar.css">

<link rel="stylesheet" href="/css/style.css"/>



    




</head>

  <body data-spy="scroll" data-target="#TableOfContents" data-offset="80">
    <div class="container-fluid bg-dimmed wrapper">
      
      
    





  


  




  
  
    
  
  



  
  
    
  
  


<nav class="navbar navbar-expand-xl top-navbar final-navbar shadow">
  <div class="container">
      <button class="navbar-toggler navbar-light" id="sidebar-toggler" type="button" onclick="toggleSidebar()">
      <span class="navbar-toggler-icon"></span>
    </button>
    <a class="navbar-brand" href="/">
      
        <img src="/images/site/main-logo_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_42x0_resize_box_3.png" alt="Logo">
      Darwin&#39;s Blog</a>
    <button class="navbar-toggler navbar-light" id="toc-toggler" type="button" onclick="toggleTOC()">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse lang-selector" id="top-nav-items">
      <ul class="navbar-nav ml-auto">
      
      
        <li class="nav-item dropdown">

<div id="theme-initialization" style="display: none;"
  default-theme="system"></div>
<a class="nav-link dropdown-toggle"  href="#" id="themeSelector" role="button"
  data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
  <img id="navbar-theme-icon-svg" src="/icons/moon-svgrepo-com.svg" width=20>
</a>
<div class="dropdown-menu dropdown-menu-icons-only" aria-labelledby="themeSelector">
  <a class="dropdown-item nav-link" href="#" onclick="enableLightTheme()">
    <img class="menu-icon-center" src="/icons/sun-svgrepo-com.svg" width=20>
  </a>
  <a class="dropdown-item nav-link" href="#" onclick="enableDarkTheme()">
    <img class="menu-icon-center" src="/icons/moon-svgrepo-com.svg" width=20>
  </a>
  <a class="dropdown-item nav-link" href="#" onclick="useSystemTheme()">
    <img class="menu-icon-center" src="/icons/computer-svgrepo-com.svg" width=20>
  </a>
</div>
</li>
      
      </ul>
    </div>
  </div>
  
  
    <img src="/images/site/main-logo_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_42x0_resize_box_3.png" class="d-none" id="main-logo" alt="Logo">
  
  
    <img src="/images/site/inverted-logo_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_42x0_resize_box_3.png" class="d-none" id="inverted-logo" alt="Inverted Logo">
  
</nav>



      
      
  <section class="sidebar-section" id="sidebar-section">
    <div class="sidebar-holder">
      <div class="sidebar" id="sidebar">
        <form class="mx-auto" method="get" action="/search">
          <input type="text" name="keyword" value="" placeholder="Busca" data-search="" id="search-box" />
        </form>
        <div class="sidebar-tree">
          <ul class="tree" id="tree">
            <li id="list-heading"><a href="/posts" data-filter="all">Posts</a></li>
            <div class="subtree">
                

            </div>
          </ul>
        </div>
      </div>
    </div>
  </section>


      
      
<section class="content-section" id="content-section">
  <div class="content">
    <div class="container p-0 read-area">
      
      <div class="hero-area col-sm-12" id="hero-area" style='background-image: url(/images/default-hero.jpg);'>
      </div>

      
      <div class="page-content">
        <div class="author-profile ml-auto align-self-lg-center">
          <img class="rounded-circle" src='/images/author/darwin_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_120x120_fit_box_3.png' alt="Author Image">
          <h5 class="author-name">Darwin Brandão</h5>
          <p>December 13, 2022</p>
        </div>

        <div class="title">
          <h1>Scraping Videos Flv to Mp4</h1>
        </div>
        
        <div class="taxonomy-terms">
            <ul>
            
          </ul>
        </div>
        
        <div class="post-content" id="post-content">
          <h1 id="scraping-pegando-lista-de-vídeos-flv-e-convertendo-para-mp4">Scraping: Pegando lista de vídeos FLV e convertendo para MP4</h1>
<h2 id="introdução">Introdução</h2>
<p>Hoje estou na aldeia Soito da Ruiva, em Portugal. Viemos conhecer a aldeia, alugamos uma casa de uma senhora muito simpática e cuidadosa e vamos passar uns dias aqui.</p>
<p>Conversando com esta senhora, ela contou muito da história da aldeia, da família dela e da própria vida. Em meio à conversa, ela nos mostrou o site da aldeia</p>
<p>Site da aldeia: <a href="https://www.aldeiasdememoria.com/soito-da-ruiva" target="_blank">
  https://www.aldeiasdememoria.com/soito-da-ruiva
</a>
</p>
<p>Esse site tem uma série de vídeos de depoimentos dos anciões e anciãs da aldeia, um material histórico importante de ser preservado.</p>
<p>Mas, infelizmente, os vídeos se encontram no formato FLV (Adobe Flash), que só pode ser visualizado com o Adobe Flash Player, que foi descontinuado em Dezembro de 2021. Qualquer um que não o tenha instalado e deseje assistir os vídeos, terá muita dificuldade em fazer isso.</p>
<p>A senhora ainda não sabe, mas decidi baixar todos os vídeos e convertê-los para MP4, um formato mais universal, que pode ser facilmente incorporado em sites e postado em redes, como o YouTube, Instagram e etc.</p>
<p>Para isso, decidi usar as ferramentas presentes na minha distribuição Linux atual (Fedora Workstation 37). Vou usar as seguintes ferramentas:</p>
<ul>
<li>cd (mudar diretório)</li>
<li>curl (para pegar o código da página)</li>
<li>xmllint (para pegar os arquivos dos vídeos na página)</li>
<li>awk (para manipular os resultados)</li>
<li>xargs (redireciona output de um comando para input de outro)</li>
<li>ffmpeg (versão RPMnon-free, para converter os vídeos do formato FLV para MP4)</li>
</ul>
<h2 id="curl">cURL</h2>
<p>Primeiramente, é necessário obter o código HTML da página. Para isso, utilizarei o comando &ldquo;curl&rdquo;, disponível por padrão em grande parte das distribuições Linux:</p>
<pre tabindex="0"><code>curl -s https://www.aldeiasdememoria.com/soito-da-ruiva/habitantes/madalena-dos-anjos-mendes/
</code></pre><p>curl    = nome do programa
-s      = parâmetro para ocultar tudo que não seja o código da página</p>
<pre tabindex="0"><code>cd ~/Downloads &amp;&amp; curl -s https://www.aldeiasdememoria.com/soito-da-ruiva/habitantes/madalena-dos-anjos-mendes/ | xmllint --xpath &#34;//*[@id=&#39;lista-videos&#39;]/li/a/@href&#34; --html - | awk -F &#39;\&#34;&#39; &#39;{gsub(/media\/player\/\?v=/, &#34;&#34;, $2); print $2}&#39; | xargs curl --remote-name-all
ffmpeg -i 013_002.flv -vcodec libx265 -crf 15 -c:a copy teste.mp4
</code></pre>
        </div>

        
        <div class="row pl-3 pr-3">
        
        <div class="col-md-6 share-buttons">
        
            <strong>Compartilhar em:</strong>
            
            <a class="btn btn-sm facebook-btn" href="https://www.facebook.com/sharer.php?u=http%3a%2f%2f192.168.15.28%2fposts%2fscraping-videos-flv-to-mp4%2fscraping-videos-flv-to-mp4%2f" target="_blank">
              <i class="fab fa-facebook"></i>
            </a>
            
            
                <a class="btn btn-sm twitter-btn" href="https://twitter.com/share?url=http%3a%2f%2f192.168.15.28%2fposts%2fscraping-videos-flv-to-mp4%2fscraping-videos-flv-to-mp4%2f&text=Scraping%20Videos%20Flv%20to%20Mp4&via=Darwin%27s%20Blog" target="_blank">
                  <i class="fab fa-twitter"></i>
                </a>
            
            
                <a  class="btn btn-sm reddit-btn" href="https://reddit.com/submit?url=http%3a%2f%2f192.168.15.28%2fposts%2fscraping-videos-flv-to-mp4%2fscraping-videos-flv-to-mp4%2f&title=Scraping%20Videos%20Flv%20to%20Mp4" target="_blank">
                  <i class="fab fa-reddit"></i>
                </a>
            
            
                <a class="btn btn-sm tumblr-btn" href="https://www.tumblr.com/share/link?url=http%3a%2f%2f192.168.15.28%2fposts%2fscraping-videos-flv-to-mp4%2fscraping-videos-flv-to-mp4%2f&name=Scraping%20Videos%20Flv%20to%20Mp4" target="_blank">
                  <i class="fab fa-tumblr"></i>
                </a>
            
            
                <a class="btn btn-sm pocket-btn" href="https://getpocket.com/save?url=http%3a%2f%2f192.168.15.28%2fposts%2fscraping-videos-flv-to-mp4%2fscraping-videos-flv-to-mp4%2f&title=Scraping%20Videos%20Flv%20to%20Mp4" target="_blank">
                  <i class="fab fa-get-pocket"></i>
                </a>
            
            
                <a class="btn btn-sm linkedin-btn" href="https://www.linkedin.com/shareArticle?url=http%3a%2f%2f192.168.15.28%2fposts%2fscraping-videos-flv-to-mp4%2fscraping-videos-flv-to-mp4%2f&title=Scraping%20Videos%20Flv%20to%20Mp4" target="_blank">
                  <i class="fab fa-linkedin"></i>
                </a>
            
            
                <a class="btn btn-sm diaspora-btn" href="https://share.diasporafoundation.org/?title=Scraping%20Videos%20Flv%20to%20Mp4&url=http%3a%2f%2f192.168.15.28%2fposts%2fscraping-videos-flv-to-mp4%2fscraping-videos-flv-to-mp4%2f" rel="nofollow" target="_blank">
                  <i class="fab fa-diaspora"></i>
                </a>
            
             
                <a class="btn btn-sm mastodon-btn" href="https://mastodon.social/share?text=Scraping%20Videos%20Flv%20to%20Mp4 - http%3a%2f%2f192.168.15.28%2fposts%2fscraping-videos-flv-to-mp4%2fscraping-videos-flv-to-mp4%2f" target="_blank">
                  <i class="fab fa-mastodon"></i>
                </a>
            
            
                 <a class="btn btn-sm whatsapp-btn" href="https://api.whatsapp.com/send?text=Scraping%20Videos%20Flv%20to%20Mp4 http%3a%2f%2f192.168.15.28%2fposts%2fscraping-videos-flv-to-mp4%2fscraping-videos-flv-to-mp4%2f" target="_blank">
                  <i class="fab fa-whatsapp"></i>
                </a>
            
            
                <a class="btn btn-sm email-btn" href="mailto:?subject=Scraping%20Videos%20Flv%20to%20Mp4&body=http%3a%2f%2f192.168.15.28%2fposts%2fscraping-videos-flv-to-mp4%2fscraping-videos-flv-to-mp4%2f" target="_blank">
                  <i class="fas fa-envelope-open-text"></i>
                </a>
            
          
          </div>

        
        
          
            
          
          <div class="col-md-6 btn-improve-page">
             
               <a href="https://gitlab.com/darwin.brandao/personal-blog/edit/main/content/posts/scraping-videos-flv-to-mp4/scraping-videos-flv-to-mp4.md" title="Melhorar esta página" target="_blank" rel="noopener">
            
                <i class="fas fa-code-branch"></i>
                Melhorar esta página
              </a>
          </div>
        
        </div>



      
      <hr />
        












<div class="row next-prev-navigator">
  
  
</div>

      <hr />

      
      

      
      

      </div>
    </div>
  </div>
  
  <a id="scroll-to-top" class="btn"><i class="fas fa-chevron-circle-up"></i></a>
  
</section>


      
      
  <section class="toc-section" id="toc-section">
    
    <div class="toc-holder">
      <h5 class="text-center pl-3">Conteúdo</h5>
      <hr>
      <div class="toc">
        <nav id="TableOfContents">
  <ul>
    <li><a href="#introdução">Introdução</a></li>
    <li><a href="#curl">cURL</a></li>
  </ul>
</nav>
      </div>
    </div>
    
  </section>

    </div>

    
    













  
  
    
  

  
  
    
  

  
  

  
  
    
    
      
    
  


  
  
  
    
  

  
  
  

  
  
  
    
  
  

  
  
  

  <footer id="footer" class="container-fluid text-center align-content-center footer pb-2">
    <div class="container pt-5">
      <div class="row text-left">
        
        <div class="col-md-4 col-sm-12">
          <h5>Navegação</h5>
          
          <ul>
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#about">Sobre</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#skills">Habilidades</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#experiences">Experiência</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#education">Educação</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#projects">Projetos</a>
                </li>
              
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#accomplishments">Realizações</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#recent-posts">Blog Posts</a>
                </li>
              
              
            
              
            
          </ul>
          
        </div>
        
        
        <div class="col-md-4 col-sm-12">
          <h5>Entre em contato:</h5>
          <ul>
            
              
                <li><a href=mailto:darwin.brandao@gmail.com target="_blank" rel="noopener">
                  <span><i class="fas fa-envelope"></i></span> <span>darwin.brandao@gmail.com</span>
                </a></li>
              
            
              
                <li><a href=https://gitlab.com/darwin.brandao target="_blank" rel="noopener">
                  <span><i class="fab fa-gitlab"></i></span> <span>darwin.brandao</span>
                </a></li>
              
            
          </ul>
        </div>
        
        <div class="col-md-4 col-sm-12">
        
        
	    
            
              
                <h5>Telegram Newsletter</h5>
		<a href="https://t.me/blogdarwinbrandao" class="btn " target="_blank" style="width: 100%; background-color: #2481cc; color: #ffffff; margin-top: 10px;">
		  <img src="/media/telegram/Logo.png" width="25" height="25" />
		  <b>&nbsp;Entrar no Canal</b>
		</a>
            
         </div>

      </div>
    </div>
    
    <hr />
    <div class="container">
      <p id="disclaimer"><strong>Aviso de Responsabilidade:</strong> Esse tema está sob a licença MIT. Então, você pode utilizá-lo para fins comerciais, não-comerciais e privados. Você pode modificar e/ou  distribuir esse tema sem pedir qualquer permissão ao autor do mesmo. Entretanto, o autor do tema não provê nenhuma garantia ou assume qualquer responsabilidade sobre qualquer problema com esse tema. Link para o tema original: <a href="https://github.com/hugo-toha/toha" target="_blank">
  https://github.com/hugo-toha/toha
</a></p>
    </div>
    
    
    <hr />
    <div class="container">
      <div class="row text-left">
        <div class="col-md-4">
          <a id="theme" href="https://github.com/hossainemruz/toha" target="_blank" rel="noopener">
            <img src="/images/theme-logo_hu8376fd15465fef26ffe66b6bcf0ca686_13669_32x0_resize_box_3.png" alt="Toha Theme Logo">
            Toha
          </a>
        </div>
        <div class="col-md-4 text-center">© 2022 Copyright.</div>
        <div class="col-md-4 text-right">
          <a id="hugo" href="https://gohugo.io/" target="_blank" rel="noopener">Construído com
          <img
            src="/images/hugo-logo.svg"
            alt="Hugo Logo"
            height="18"
          />
          </a>
        </div>
      </div>
    </div>
    
  </footer>


    <script type="text/javascript" src="/js/jquery-3.4.1.min.js"></script>
<script type="text/javascript" src="/js/popper.min.js"></script>
<script type="text/javascript" src="/js/bootstrap.min.js"></script>

<script type="text/javascript" src="/js/navbar.js"></script>
<script type="text/javascript" src="/js/plyr.js"></script>
<script type="text/javascript" src="/js/main.js"></script>



<script type="text/javascript" src="/js/darkreader.js"></script>
<script type="text/javascript" src="/js/darkmode-darkreader.js"></script>



    
    
<script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.18.1/highlight.min.js"></script>
<script src="/js/single.js"></script>
<script>
  hljs.initHighlightingOnLoad();
</script>









    
</body>
</html>
